<template>
  <v-row>
    <v-col cols="12" sm="6">
      <template v-if="!document.id">
        <Field #default="{ errors, field, value }" name="File" rules="required" v-model="document.name">
          <v-file-input @update:model-value="field.onChange" :model-value="value" variant="outlined" density="compact" label="Document"
            data-cy="DocumentFormDocumentInput" :error-messages="errors" class="hide-details required" color="primary">
          </v-file-input>
        </Field>
      </template>
      <Field v-else #default="{ errors, field, value }" name="FileName" rules="required|max:255"
        v-model="document.name">
        <v-text-field v-bind="field" :model-value="value" variant="outlined" density="compact" label="Nom du document" color="primary"
          data-cy="DocumentFormNameInput" :error-messages="errors" class="hide-details">
        </v-text-field>
      </Field>
    </v-col>
    <v-col cols="12" sm="6">
      <Field #default="{ errors, field, value }" name="Category" rules="max:255" v-model="document.category">
        <v-text-field v-bind="field" :model-value="value" label="Catégorie" density="compact" data-cy="DocumentFormCategoryInput" color="primary"
          :error-messages="errors" variant="outlined">
        </v-text-field>
      </Field>
    </v-col>
  </v-row>
</template>

<script setup lang="ts">
import { Document } from "~/dto/document.dto";

defineProps<{
  document: Document
}>()
</script>
